# coding=utf-8
from celery.schedules import crontab

from concentrator import settings
from concentrator.smev3.application_choose.helpers import \
    application_choose_helper
from concentrator.smev3.base.tasks import Smev3PeriodicAsyncTask


class ApplicationChoosePeriodicAsyncTask(Smev3PeriodicAsyncTask):
    """Ответ пользователя на предложенный ДОО."""
    message_type = settings.APPLICATION_CHOOSE_MESSAGE_TYPE
    run_every = crontab(minute=settings.APPLICATION_CHOOSE_TASK_EVERY_MINUTE,
                        hour=settings.APPLICATION_CHOOSE_TASK_EVERY_HOUR)
    description = u'Услуга "Отказ/Согласие от предложенного ДОО."'
    helper_function = application_choose_helper
